<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="currentanchor"/>
<xsl:template match="/">
<xsl:variable name="clientmsgid" select="SyncML/SyncHdr/MsgID"/>
<xsl:variable name="clienturl" select="SyncML/SyncHdr/Source/LocURI"/>
<SyncML xmlns='SYNCML:SYNCML1.2'>
   <SyncHdr>
      <VerDTD>1.2</VerDTD>
      <VerProto>SyncML/1.2</VerProto>
      <SessionID><xsl:value-of select="SyncML/SyncHdr/SessionID"/></SessionID>
      <MsgID><xsl:value-of select="$clientmsgid + 1"/></MsgID>
      <Target>
         <LocURI><xsl:value-of select="$clienturl"/></LocURI>
      </Target>
      <Source>
         <LocURI>PC Suite</LocURI>
      </Source>
      <Meta>
         <MaxMsgSize xmlns='syncml:metinf'>65535</MaxMsgSize>
      </Meta>
   </SyncHdr>
   <SyncBody>
      <Status>
         <CmdID>1</CmdID>
         <MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
         <CmdRef>0</CmdRef>
         <Cmd>SyncHdr</Cmd>
         <TargetRef>PC Suite</TargetRef>
         <SourceRef><xsl:value-of select="$clienturl"/></SourceRef>
         <Data>200</Data>
      </Status>
	  <xsl:if test="/SyncML/SyncBody/Map">
	  <Status>
		<CmdID>2</CmdID>
		<MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
		<CmdRef><xsl:value-of select="/SyncML/SyncBody/Map/CmdID"/></CmdRef>
		<Cmd>Map</Cmd>
		<TargetRef>./Bookmarks</TargetRef>
		<SourceRef>./BrowserBookmarks</SourceRef>
		<Data>200</Data>
	  </Status>
	  </xsl:if>
      <Final/>
   </SyncBody>
</SyncML>
</xsl:template>
</xsl:stylesheet>