<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
<xsl:variable name="clientmsgid" select="SyncML/SyncHdr/MsgID"/>
<xsl:variable name="clienturl" select="SyncML/SyncHdr/Source/LocURI"/>
<SyncML>
	<SyncHdr>
		<VerDTD>1.2</VerDTD>
		<VerProto>SyncML/1.2</VerProto>
		<SessionID><xsl:value-of select="SyncML/SyncHdr/SessionID"/></SessionID>
		<MsgID><xsl:value-of select="$clientmsgid + 1"/></MsgID>
		<Target>
			<LocURI><xsl:value-of select="$clienturl"/></LocURI>
		</Target>
		<Source>
			<LocURI>PC Suite</LocURI>
		</Source>
		<Meta>
			<MaxMsgSize xmlns='syncml:metinf'>65535</MaxMsgSize>
		</Meta>
	</SyncHdr>
	<SyncBody>
	<Status>
		<CmdID>1</CmdID>
		<MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
		<CmdRef>0</CmdRef>
		<Cmd>SyncHdr</Cmd>
		<TargetRef>PC Suite</TargetRef>
		<SourceRef><xsl:value-of select="$clienturl"/></SourceRef>
		<Data>200</Data>
		</Status>
	<Status>
		<CmdID>2</CmdID>
		<MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
		<CmdRef><xsl:value-of select="SyncML/SyncBody/Alert/CmdID"/></CmdRef>
		<Cmd>Alert</Cmd>
		<TargetRef>./Bookmarks</TargetRef>
		<SourceRef>./BrowserBookmarks</SourceRef>
		<Data>200</Data>
		<Item>
            <Data>
				<Anchor xmlns='syncml:metinf'>
					<Next xmlns='syncml:metinf'><xsl:value-of select="SyncML/SyncBody/Alert/Item/Meta/Anchor/Next"/></Next>
					</Anchor>
				</Data>
			</Item>
		</Status>
	<Alert>
		<CmdID>3</CmdID>
		<Data>201</Data>
		<Item>
            <Target>
				<LocURI>./BrowserBookmarks</LocURI>
				</Target>
            <Source>
				<LocURI>./Bookmarks</LocURI>
				</Source>
            <Meta>
				<Anchor xmlns='syncml:metinf'>
					<Next xmlns='syncml:metinf'></Next>
					</Anchor>
				<MaxObjSize xmlns='syncml:metinf'>65536</MaxObjSize>
				</Meta>
            <Data></Data>
			</Item>
		</Alert>
<xsl:if test="/SyncML/SyncBody/Put">
	<Status>
		<CmdID>4</CmdID>
		<MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
		<CmdRef><xsl:value-of select="SyncML/SyncBody/Put/CmdID"/></CmdRef>
		<Cmd>Put</Cmd>
		<TargetRef>./devinf12</TargetRef>
		<Data>200</Data>
		</Status>
	<Status>
		<CmdID>5</CmdID>
		<MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
		<CmdRef><xsl:value-of select="SyncML/SyncBody/Get/CmdID"/></CmdRef>
		<Cmd>Get</Cmd>
		<TargetRef>./devinf12</TargetRef>
		<Data>200</Data>
		</Status>
	<Results>
		<CmdID>6</CmdID>
		<MsgRef><xsl:value-of select="$clientmsgid"/></MsgRef>
		<CmdRef><xsl:value-of select="SyncML/SyncBody/Get/CmdID"/></CmdRef>
		<Meta>
            <Type xmlns='syncml:metinf'>application/vnd.syncml-devinf+wbxml</Type>
			</Meta>
		<TargetRef>./devinf12</TargetRef>
		<Item>
            <Source>
				<LocURI>./devinf12</LocURI>
				</Source>
            <Data>
				<DevInf xmlns='syncml:devinf'>
					<VerDTD>1.2</VerDTD>
					<Man>TimeIS</Man>
					<Mod>2.0</Mod>
					<FwV>20070919</FwV>
					<SwV>20070919</SwV>
					<HwV>20070919</HwV>
					<DevID>PC Suite</DevID>
					<DevTyp>server</DevTyp>
					<UTC/>
					<SupportLargeObjs/>
					<SupportNumberOfChanges/>
					<DataStore>
						<SourceRef>./Bookmarks</SourceRef>
						<MaxGUIDSize>6</MaxGUIDSize>
						<Rx-Pref>
							<CTType>text/x-vbookmark</CTType>
							<VerCT>1.0</VerCT>
							</Rx-Pref>
						<Rx>
							<CTType>application/vnd.omads-folder+xml</CTType>
							<VerCT>1.2</VerCT>
							</Rx>
						<Tx-Pref>
							<CTType>text/x-vbookmark</CTType>
							<VerCT>1.0</VerCT>
							</Tx-Pref>
						<Tx>
							<CTType>application/vnd.omads-folder+xml</CTType>
							<VerCT>1.2</VerCT>
							</Tx>
						<CTCap>
							<CTType>text/x-vbookmark</CTType>
							<VerCT>1.0</VerCT>
							</CTCap>
						<SyncCap>
							<SyncType>1</SyncType>
							<SyncType>2</SyncType>
							<SyncType>6</SyncType>
							<SyncType>7</SyncType>
							</SyncCap>
						</DataStore>
					</DevInf>
				</Data>
			</Item>
		</Results>
</xsl:if>
	<Final/>
	</SyncBody>
</SyncML>
</xsl:template>
</xsl:stylesheet>